## openafs 1.8.6

=== debian/changelog ===
openafs (1.8.6-1ubuntu1) groovy; urgency=medium

  * Import upstream 5.8 FTBFS fixes

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 06 Jul 2020 12:33:02 +0200

openafs (1.8.6-1) unstable; urgency=medium

  * New upstream release:
    - Support linux kernel 5.7 (thanks Paolo Pisati for an early backport)
      (Closes: #964027)
    - other changes noted in the 1.8.6~pre1-1 entry

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 30 Jun 2020 21:32:42 -0700

openafs (1.8.6~pre1-3) unstable; urgency=medium

  * Temporarily disable a test that fails on armhf buildd but not porterbox

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 24 Mar 2020 17:30:45 -0700

openafs (1.8.6~pre1-2) unstable; urgency=medium

  * Pull in upstream patch to not resolve IP addresses to names in the
    vos tests (Closes: #953729)
  * Only use dh_missing --fail-missing for binary packages, to match
    the behavior used by the debhelper-compat-9 packaging prior to
    1.8.6~pre1-1 (Closes: #953709)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 21 Mar 2020 18:58:47 -0700

openafs (1.8.6~pre1-1) unstable; urgency=medium

  * New upstream prerelease (Closes: #953709):
    - Code cleanup prompted by gcc9 errors
    - Update "vos zap -force" to clean up empty directories
    - Relax implementation-specific XDR array length limits for prdb types,
      which were being hit in practice at some large sites
    - Tighten up fileservers' -readonly mode, and add an option to allow
      members of system:administrators to be able to write to readonly servers
    - Support linux kernels up to version 5.6rc2
    - Additional sundry changes; see upstream NEWS
  * Pull in additional patches from upstream:
    - Support linux kernel 5.6 release
    - Recognize ppc64le in configure's OS-detection logic
    - Skip vos tests if vlserver port is already bound (Closes: #953729)
  * Fix typo preventing ppc64el support from working (Closes: #946520)
  * Update Italian debconf translation; thanks Beatrice Torracca
    (Closes: #952799)
  * Update to debhelper-compat 12

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 21 Mar 2020 14:10:06 -0700

openafs (1.8.5-1) unstable; urgency=high

  * New upstream security release (Closes: #943587):
    - Fix OPENAFS-SA-2019-001, OPENAFS-SA-2019-002: information leakage from
      uninitialized RPC output variables
    - Fix OPENAFS-SA-2019-003: database server DoS (NULL dereference)
  * Configure --without-ctf-tools to allow kernel module builds when ctfutils
    are installed. (Closes: #935771)
  * Enable support for ppc64le. (Closes: #941658)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 27 Oct 2019 15:13:27 -0700
