=== debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Benjamin Kaduk <kaduk@mit.edu>
Uploaders: Sam Hartman <hartmans@debian.org>, Anders Kaseorg <andersk@mit.edu>
Build-Depends: debhelper, debhelper-compat (= 12), autoconf, automake, bison,
 comerr-dev, cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
 libpam0g-dev, libxml2-utils, perl, pkg-config,
 libtool, heimdal-multidev (>= 1.7~git20150920)
Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen (>= 1.8.4-1~),
 xsltproc
Standards-Version: 4.1.3
Homepage: http://www.openafs.org/
Vcs-Git: https://salsa.debian.org/debian/openafs.git
Vcs-Browser: https://salsa.debian.org/debian/openafs

Package: openafs-client
Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Pre-Depends: ${misc:Pre-Depends}
Recommends: lsof, openafs-modules-dkms (>= ${source:Version})
 | openafs-modules-source (>= ${source:Version})
 | openafs-modules3
Suggests: openafs-doc, openafs-krb5
Conflicts: arla
Breaks: openafs-modules1, openafs-modules2
Description: AFS distributed filesystem client support
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides basic client support to mount and manipulate
 AFS.  If your site uses Kerberos v5 authentication for AFS, you will also
 want to install openafs-krb5.

Package: openafs-fuse
Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 ppc64el s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 openafs-client (= ${binary:Version})
Description: AFS distributed file system experimental FUSE client
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides an experimental FUSE implementation of the AFS
 client as afsd.fuse.  This currently only provides read-only access to
 AFS, doesn't work with all of the normal AFS client programs, and must be
 started manually, but may be of interest in situations where read-only
 access is sufficient and the kernel module cannot be built.

Package: openafs-fileserver
Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), openafs-client,
 openafs-krb5 (>= 1.8.0~pre1-1)
Pre-Depends: ${misc:Pre-Depends}
Recommends: ntp | time-daemon
Suggests: openafs-doc
Description: AFS distributed filesystem file server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the AFS fileserver binaries.  It should be
 installed on any machine that will export files into AFS.

Package: openafs-dbserver
Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends},
 openafs-fileserver
Recommends: openafs-client
Suggests: openafs-doc
Description: AFS distributed filesystem database server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides AFS database server binaries.  It should be
 installed on the servers that will act as volume location and
 protection servers.

Package: openafs-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: AFS distributed filesystem documentation
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package contains the OpenAFS user's and reference manuals, some
 protocol documentation, and other OpenAFS documentation.

Package: openafs-krb5
Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: openafs-client (<< 1.4.7.dfsg1-1)
Description: AFS distributed filesystem Kerberos 5 integration
 AFS is a distributed filesystem allowing cross-platform sharing of files
 among multiple computers.  Facilities are provided for access control,
 authentication, backup and administrative management.
 .
 This package provides aklog, a utility for authenticating to AFS using
 Kerberos 5.  It also provides asetkey, a utility to set AFS server keys
 from a Kerberos keytab, and ka-forwarder, a utility to forward kaserver
 requests to a KDC using fakeka.

Package: libkopenafs2
Section: libs
Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 ppc64el s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (PAGs)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing an interface to
 manipulating AFS process authentication groups (PAGs).  It provides the
 a subset of the interface provided by the Heimdal libkafs library.

Package: libafsauthent2
Section: libs
Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 ppc64el s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (authentication)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing AFS client
 authentication and token management.

Package: libafsrpc2
Section: libs
Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 ppc64el s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AFS distributed file system runtime library (RPC layer)
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the shared library implementing the Rx protocol and
 other AFS RPC functionality.

Package: libopenafs-dev
Section: libdevel
Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
Depends: ${shlibs:Depends}, ${misc:Depends},
 libafsauthent2 (= ${binary:Version}), libafsrpc2 (= ${binary:Version}),
 libkopenafs2 (= ${binary:Version}),
Suggests: openafs-doc
Conflicts: arla-dev, liblwp-dev
Description: AFS distributed filesystem development libraries
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides static development libraries and headers
 needed to compile AFS applications.

Package: openafs-modules-source
Section: kernel
Architecture: all
Depends: ${misc:Depends}, debhelper (>= 8),
 module-assistant | kernel-package, perl
Recommends: openafs-client (>= ${source:Version})
Description: AFS distributed filesystem kernel module source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the source to the AFS kernel module in a form
 suitable for use by module-assistant or kernel-package.

Package: openafs-modules-dkms
Section: kernel
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, dkms, libc6-dev
Recommends: openafs-client (>= ${source:Version})
Description: AFS distributed filesystem kernel module DKMS source
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package contains the source for the AFS kernel module, packaged with
 appropriate configuration for DKMS to build new modules dynamically.
