## openafs 1.8.8

=== debian/changelog ===
openafs (1.8.8-3) unstable; urgency=medium

  * Import upstream FTBFS fix for Linux 5.15

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 23 Nov 2021 15:39:23 +0000

openafs (1.8.8-2) unstable; urgency=medium

  * Import upstream patch to improve support for linux 5.14 (avoiding
    a runtime error when the set_page_dirty operation is requested)

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 12 Oct 2021 22:10:08 -0700

openafs (1.8.8-1) unstable; urgency=medium

  * New upstream release:
    - Support linux kernel 5.14 (Closes: #995134)
      PowerPC may be affected by a new ABI restriction.
    - Fix key handling for keys with parity bits (e.g., triple-DES)
      (Closes: #987690)
    - Use proper credentials for I/O to cache to avoid unneeded blockage
      by security mechanisms like AppArmor
    - Improvements in certain Rx call edge cases
    - Attempt to recover from certain errors instead of panicking clients
    - Additional changes noted in upstream changelog
  * Update debian/copyright for new file added upstream
  * Update to policy 4.6.0 (no changes needed)
  * Specify Build-Depends-Package in symbols files
  * Update to watch file version=4

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 26 Sep 2021 22:34:07 -0700

openafs (1.8.6-5) unstable; urgency=emergency

  * Pull in upstream patches to fix outgoing connections after
    unix epoch time 0x60000000 (Closes: #980115, #980116)

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 14 Jan 2021 11:48:18 -0800

openafs (1.8.6-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Pull in upstream patches for linux kernel 5.9 support

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 25 Oct 2020 11:28:45 -0700

openafs (1.8.6-3) unstable; urgency=medium

  * Pull in upstream patches for linux kernel 5.8 support (Closes: #970258)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 19 Sep 2020 15:39:18 -0700

openafs (1.8.6-2) unstable; urgency=medium

  * Pull in upstream patches for -fcommon support (Closes: #966881)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 30 Aug 2020 19:39:18 -0700
