## openafs 1.8.8.1

=== debian/changelog ===
openafs (1.8.8.1-3ubuntu2) kinetic; urgency=medium

  * Revert previous upload.
  * Cherry-pick upstream patches for v5.19 compat.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 27 Jul 2022 13:15:40 +0100

openafs (1.8.8.1-3ubuntu1) kinetic; urgency=medium

  * Support Linux 5.19 (LP: #1982087):
    - debian/patches/0020-Linux-5.19-support-new-filesystem-ops.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 19 Jul 2022 07:54:16 +0000

openafs (1.8.8.1-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Switch to B-D: dh-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

  [ Benjamin Kaduk ]
  * Import upstream patches to support linux through 5.18 (Closes: #1010764)
    - This will change kernels from 5.8 through 5.17 to use the "readahead"
      interface rather than "readpages".
    - This imports some code from autoconf-archive and updates
      debian/copyright to list the new license/files.
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 20 Jun 2022 15:54:55 -0700

openafs (1.8.8.1-2) unstable; urgency=medium

  * Skip unit test that fails on the buildds by virtue of using a
    hardcoded port number.

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 12 Mar 2022 21:00:27 -0800

openafs (1.8.8.1-1) unstable; urgency=high

  * New upstream release:
    - Support linux kernel 5.16 (Closes: #1005404)
    - Treat the Rx SACK table as bits, not bytes, in preparation for
      subsequent changes to expand the maximum window size.

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 20 Feb 2022 20:15:56 -0800
