=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Sam Hartman <hartmans@debian.org>, Anders Kaseorg <andersk@mit.edu>
 Build-Depends: debhelper, debhelper-compat (= 12), autoconf, automake, bison,
  comerr-dev, cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config,
  libtool, heimdal-multidev (>= 1.7~git20150920)
-Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen (>= 1.8.4-1~),
+Build-Depends-Indep: dblatex, dh-dkms, docbook-xsl, doxygen (>= 1.8.4-1~),
  xsltproc
-Standards-Version: 4.1.3
+Standards-Version: 4.6.1
 Homepage: http://www.openafs.org/
 Vcs-Git: https://salsa.debian.org/debian/openafs.git
 Vcs-Browser: https://salsa.debian.org/debian/openafs
+Testsuite: autopkgtest-pkg-dkms
 
 Package: openafs-client
 Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
