## openafs 1.8.9

=== debian/changelog ===
openafs (1.8.9-1ubuntu1) lunar; urgency=medium

  * Linux 6.0+ FTBFS (LP: #2007263)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 17 Feb 2023 10:42:20 +0000

openafs (1.8.9-1) unstable; urgency=medium

  [ Benjamin Kaduk ]
  * New upstream release:
    - Support kernels up to 6.0.
    - Avoid delays in certain scenarios.
    - Detect invalid RPC inputs for FetchData RPCs to prevent volumes from
      unnecessarily being taken offline.

  [ Alejandro R. Sedeño ]
  * Do not build DKMS module on PREEMPT_RT kernels.

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 22 Dec 2022 10:37:54 -0800
