=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  comerr-dev, cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config,
  libtool, heimdal-multidev (>= 1.7~git20150920)
-Build-Depends-Indep: dblatex, dh-dkms, docbook-xsl, doxygen (>= 1.8.4-1~),
+Build-Depends-Indep: dblatex, dh-dkms (>= 3.0.3-4~), docbook-xsl, doxygen (>= 1.8.4-1~),
  xsltproc
 Standards-Version: 4.6.1
 Homepage: http://www.openafs.org/
