## openafs 1.8.10

=== debian/changelog ===
openafs (1.8.10-2.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:22:10 +0000

openafs (1.8.10-2.1ubuntu2) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:47:11 +0100

openafs (1.8.10-2.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 0016-Linux-6.7-convert-to-inode-a-mtime-accessor-funcs.patch
      - Fix Linux 6.5 build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:24:35 +0100

openafs (1.8.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062829

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 02:46:04 +0000

openafs (1.8.10-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 0016-Linux-6.7-convert-to-inode-a-mtime-accessor-funcs.patch
      - Fix Linux 6.5 build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Dec 2023 10:20:34 +0100

openafs (1.8.10-2) unstable; urgency=medium

  * Update lintian overrides to use appropriate context.
  * Import upstream patches to support Linux versions through 6.6
    (Closes: #1043131)
  * Update README.servers and afs-newcell to reflect rxkad-k5 usage
    (Closes: #1019751)
  * Clean up some more generated upstream files (Closes: #1048470)
  * Update Brazilian Portuguese debconf translation; thanks
    Paulo Henrique de Lima Santana (Closes: 1028070)
  * Add Romanian debconf translation; thanks Remus-Gabriel Chelu
    (Closes: #1033142)
  * Update Swedish debconf translation; thanks Martin Bagge / brother
    (Closes: #1054618)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 23 Dec 2023 21:56:47 -0800

openafs (1.8.10-1ubuntu6) noble; urgency=medium

  * Rebuild against 'new heimdal with fixed deps'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 23:37:27 +0100

openafs (1.8.10-1ubuntu5) noble; urgency=medium

  * Rebuild against patched heimdal, to trigger autopkgtests, build
    and fixup symbols missing now with newer glibc (strlcat/strlcpy)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 14:19:31 +0100

openafs (1.8.10-1ubuntu4) noble; urgency=medium

  * debian/patches/0016-Linux-6.7-convert-to-inode-a-mtime-accessor-funcs.patch:
  - Fix Linux 6.5 build (LP: #2044544) 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 24 Nov 2023 14:23:10 +0000

openafs (1.8.10-1ubuntu3) noble; urgency=medium

  * debian/patches/0012-LINUX-Pass-an-array-of-structs-to-register_sysctl.patch,
    debian/patches/0013-linux-Replace-fop-iterate-with-fop-iterate_shared.patch,
    debian/patches/0014-Linux-6.6-convert-to-ctime-accessor-functions.patch,
    debian/patches/0015-Linux-6.6-Pass-request_mask-to-generic_fillattr.patch:
    - Fix Linux 6.5 build (LP: #2040272)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 24 Oct 2023 11:38:51 +0000

openafs (1.8.10-1ubuntu2) mantic; urgency=medium

  * debian/patches/0011-hcrypto-rename-abort-to-_afscrypto_abort.patch:
    - Fix Linux 6.5 build (LP: #2033754) 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 01 Sep 2023 08:39:23 +0000

openafs (1.8.10-1ubuntu1) mantic; urgency=medium

  * debian/patches/0008-Replace-generic_file_splice_read.patch,
    debian/patches/0009-Make-sysctl-definitions-more-concise.patch,
    debian/patches/0010-Use-register_sysctl.patch:
    - Fix Linux 6.5 build (LP: #2028870)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 27 Jul 2023 16:38:09 +0000

openafs (1.8.10-1) unstable; urgency=medium

  * New upstream release:
    - Support Linux versions through 6.4 (Closes: #1038002)
    - Update to CellServDB from grand.central.org from 9 May 2022.
    - Add -literal option for "fs getfid".
  * Drop dependency on lsb-base.
  * Build-depend on libncurses-dev rather than libncurses5-dev.
  * Update bundled CellServDB to grand.central.org version of 09 May 2022.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 14 Jul 2023 10:30:24 -0700
