=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Sam Hartman <hartmans@debian.org>, Anders Kaseorg <andersk@mit.edu>
-Build-Depends: debhelper, debhelper-compat (= 12), autoconf, automake, bison,
- comerr-dev, cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper, debhelper-compat (= 12), autoconf, automake, bison,
+ comerr-dev, cpio, flex, libfuse-dev, libkrb5-dev, libncurses-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config,
  libtool, heimdal-multidev (>= 1.7~git20150920)
 Build-Depends-Indep: dblatex, dh-dkms (>= 3.0.3-4~), docbook-xsl, doxygen (>= 1.8.4-1~),
  xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.openafs.org/
 Vcs-Git: https://salsa.debian.org/debian/openafs.git
 Vcs-Browser: https://salsa.debian.org/debian/openafs
@@ -18,7 +18,7 @@
 
 Package: openafs-client
 Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: lsof, openafs-modules-dkms (>= ${source:Version})
  | openafs-modules-source (>= ${source:Version})
@@ -52,7 +52,7 @@
 
 Package: openafs-fileserver
 Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), openafs-client,
+Depends: ${shlibs:Depends}, ${misc:Depends}, openafs-client,
  openafs-krb5 (>= 1.8.0~pre1-1)
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: ntp | time-daemon
@@ -107,7 +107,10 @@
  from a Kerberos keytab, and ka-forwarder, a utility to forward kaserver
  requests to a KDC using fakeka.
 
-Package: libkopenafs2
+Package: libkopenafs2t64
+Provides: ${t64:Provides}
+Replaces: libkopenafs2
+Breaks: libkopenafs2 (<< ${source:Version})
 Section: libs
 Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 ppc64el s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -120,7 +123,10 @@
  manipulating AFS process authentication groups (PAGs).  It provides the
  a subset of the interface provided by the Heimdal libkafs library.
 
-Package: libafsauthent2
+Package: libafsauthent2t64
+Provides: ${t64:Provides}
+Replaces: libafsauthent2
+Breaks: libafsauthent2 (<< ${source:Version})
 Section: libs
 Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 ppc64el s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -132,7 +138,10 @@
  This package provides the shared library implementing AFS client
  authentication and token management.
 
-Package: libafsrpc2
+Package: libafsrpc2t64
+Provides: ${t64:Provides}
+Replaces: libafsrpc2
+Breaks: libafsrpc2 (<< ${source:Version})
 Section: libs
 Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 ppc64el s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -148,8 +157,8 @@
 Section: libdevel
 Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 ppc64el s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libafsauthent2 (= ${binary:Version}), libafsrpc2 (= ${binary:Version}),
- libkopenafs2 (= ${binary:Version}),
+ libafsauthent2t64 (= ${binary:Version}), libafsrpc2t64 (= ${binary:Version}),
+ libkopenafs2t64 (= ${binary:Version}),
 Suggests: openafs-doc
 Conflicts: arla-dev, liblwp-dev
 Description: AFS distributed filesystem development libraries
