## openafs 1.8.12.1

=== debian/changelog ===
openafs (1.8.12.1-1parrot1) lory-updates; urgency=medium

  * Import new Debian Unstable release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 11 Oct 2024 20:15:46 +0200

openafs (1.8.12.1-1) unstable; urgency=medium

  * New upstream release:
    - Support Linux versions through 6.10 (Closes: #1077837).
  * Update Standards-Version to 4.7.0 (no changes needed).

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 22 Aug 2024 10:35:13 -0700

openafs (1.8.12~pre1-1) unstable; urgency=medium

  * New upstream release candidate.
    From 1.8.12pre1:
      - Support Linux versions through 6.9 (Closes: #1060896).
      - Wait to run rx-perf test until server has started (Closes: #886696).
      - Avoid unsupported relocation type on AArch64 kmods (Closes: 1069781).
    From 1.8.11:
      - Flush Linux VFS dentry caches from `fs flush*` commands, reducing the
        need to write to /proc/sys/vm/drop_caches when troubleshooting.
      - Various bugfixes to avoid crashes and potential memory corruption.
      - Additional warnings in server logs: when an older version of a volume
        is restored, and when bosserver is not started in restricted mode.
      - Improve checks to avoid running RPCs when spurious packets are
        received.
      - Update to CellServDB from grand.central.org from 31 Oct 2023.
      - Address a couple potential sources of performance degradation in
        clients.
      - Refresh cache entries when size mismatches are detected.
  * Drop alternative dependency on kernel-package from openafs-modules-source;
    it has been gone since stretch (Closes: #1014397).
  * Re-enable rx-perf test, disabled since 1.8.8.1-2, after upstream's change.
  * Switch from pkg-config to pkgconf.

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 30 Jun 2024 14:42:29 -0700

openafs (1.8.10-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move afsd (back) into /usr/sbin (Closes: #1059432).
    Update path in init script and systemd service unit.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 29 May 2024 00:48:42 +0200
