=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Sam Hartman <hartmans@debian.org>, Anders Kaseorg <andersk@mit.edu>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper, debhelper-compat (= 12), autoconf, automake, bison,
  comerr-dev, cpio, flex, libfuse-dev, libkrb5-dev, libncurses-dev,
- libpam0g-dev, libxml2-utils, perl, pkg-config,
+ libpam0g-dev, libxml2-utils, perl, pkgconf,
  libtool, heimdal-multidev (>= 1.7~git20150920)
 Build-Depends-Indep: dblatex, dh-dkms (>= 3.0.3-4~), docbook-xsl, doxygen (>= 1.8.4-1~),
  xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.openafs.org/
 Vcs-Git: https://salsa.debian.org/debian/openafs.git
 Vcs-Browser: https://salsa.debian.org/debian/openafs
@@ -173,7 +172,7 @@
 Section: kernel
 Architecture: all
 Depends: ${misc:Depends}, debhelper (>= 8),
- module-assistant | kernel-package, perl
+ module-assistant, perl
 Recommends: openafs-client (>= ${source:Version})
 Description: AFS distributed filesystem kernel module source
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -181,7 +180,7 @@
  control, authentication, backup and administrative management.
  .
  This package provides the source to the AFS kernel module in a form
- suitable for use by module-assistant or kernel-package.
+ suitable for use by module-assistant.
 
 Package: openafs-modules-dkms
 Section: kernel
