## openafs 1.8.13

=== debian/changelog ===
openafs (1.8.13-1) unstable; urgency=high

  * New upstream security release:
    - Fix OPENAFS-SA-2024-001: theft of credentials from Unix PAGs
      (CVE-2024-10394)
    - Fix OPENAFS-SA-2024-002: fileserver crash on malformed StoreACL
      (CVE-2024-10396)
    - Fix OPENAFS-SA-2024-003: buffer overflows in XDR responses
      (CVE-2024-10397)
    - Closes: #1087406, #1087407

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 12 Nov 2024 13:58:26 -0800
