## openafs 1.8.13.2

=== debian/changelog ===
openafs (1.8.13.2-1ubuntu1) plucky; urgency=medium

  * Support Linux 6.14 (LP: #2103812)
    - debian/patches/0015-LINUX-Refactor-afs_linux_dentry_revalidate.patch:
      LINUX: Refactor afs_linux_dentry_revalidate(). Thanks to Cheyenne Wills
      <cwills@sinenomine.net>.
    - debian/patches/0016-Linux-6.14-Handle-dops.d_revalidate-with-parent.patch:
      Linux-6.14: Handle dops.d_revalidate with parent. Thanks to Cheyenne Wills
      <cwills@sinenomine.net>.

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 21 Mar 2025 17:17:34 -0500

openafs (1.8.13.2-1) unstable; urgency=medium

  * New upstream release:
    - Support Linux versions through 6.13 (Closes: #1089501)
  * Set Rules-Require-Root (Closes: #1093345)

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 30 Jan 2025 12:14:18 -0800
