=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Sam Hartman <hartmans@debian.org>, Anders Kaseorg <andersk@mit.edu>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper, debhelper-compat (= 12), autoconf, automake, bison,
  comerr-dev, cpio, flex, libfuse-dev, libkrb5-dev, libncurses-dev,
@@ -9,6 +10,7 @@
  libtool, heimdal-multidev (>= 1.7~git20150920)
 Build-Depends-Indep: dblatex, dh-dkms (>= 3.0.3-4~), docbook-xsl, doxygen (>= 1.8.4-1~),
  xsltproc
+Rules-Requires-Root: binary-targets
 Standards-Version: 4.7.0
 Homepage: http://www.openafs.org/
 Vcs-Git: https://salsa.debian.org/debian/openafs.git
