## openafs 1.8.14~pre1

=== debian/changelog ===
openafs (1.8.14~pre1-1) unstable; urgency=medium

  [ Benjamin Kaduk ]
  * New upstreamm prerelease:
    - Support building with gcc-15 (Closes: #1097511)
    - Support Linux versions through 6.16 (Closes: #1112682, #1112187,
      #1104420).
    - Fix a situation that could crash or hang processes accessing AFS that
      receive a signal while waiting for network packets; Go applications were
      particularly impacted.
    - Additional logging and startup time improvements for fileservers.
    - Renumber the RXAFS_StoreACL RPC opcode to help with AFS3 ecosystem
      cleanup stemming from a (non-OpenAFS) implementation that mishandled
      negative ACLs.
    - The dynroot (default config) permissions for the /afs mount point
      directory are now 0555 instead of 0755.
    - Avoid a possible client crash on restart after the configured cache
      size is greatly reduced.
  * Build-Depend on libcrypt-dev since it is linked directly
    (Closes: #1106957)
  * Bump Standards-Version to 4.7.2.

  [ Andreas Beckmann ]
  * Add autopkgtest for openafs-modules-source (Closes: #1100075)
  * Skip tests for PREEMPT_RT_FULL as well as PREEMPT_RT configs.

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 26 Sep 2025 12:44:38 -0700
