=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Sam Hartman <hartmans@debian.org>, Anders Kaseorg <andersk@mit.edu>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper, debhelper-compat (= 12), autoconf, automake, bison,
- comerr-dev, cpio, flex, libfuse-dev, libkrb5-dev, libncurses-dev,
+ comerr-dev, cpio, flex, libcrypt-dev, libfuse-dev, libkrb5-dev, libncurses-dev,
  libpam0g-dev, libxml2-utils, perl, pkgconf,
  libtool, heimdal-multidev (>= 1.7~git20150920)
 Build-Depends-Indep: dblatex, dh-dkms (>= 3.0.3-4~), docbook-xsl, doxygen (>= 1.8.4-1~),
  xsltproc
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://www.openafs.org/
 Vcs-Git: https://salsa.debian.org/debian/openafs.git
 Vcs-Browser: https://salsa.debian.org/debian/openafs
