=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -45,7 +47,7 @@
 # /usr/share/doc/openafs-client.  Any package on this list must depend on
 # openafs-client.  This variable is used as options to dh_installdocs with
 # the --link-doc option.
-DOC_PACKAGES = -popenafs-fuse
+DOC_PACKAGES := -popenafs-fuse
 
 # These are files that we know we don't want to install.  List them so that we
 # can use dh_missing --fail-missing and catch anything new that shows up.
@@ -62,10 +64,9 @@
 # These variables are used by get-orig-source, to construct dkms.conf, and
 # to set the build version.  You will need to change TAG to package stable
 # releases instead of experimental releases.
-DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
-DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
-VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
-TAG     := $(shell echo 'openafs-stable-$(VERSION)' | sed 's/\./_/g')
+DEBVERS = $(shell echo '$(DEB_VERSION)' | cut -d- -f1)
+VERSION = $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
+TAG     = $(shell echo 'openafs-stable-$(VERSION)' | sed 's/\./_/g')
 REPO    := git://git.openafs.org/openafs.git
 
 # Upstream does tarball releases for major releases, but not for point
@@ -94,7 +95,7 @@
 # are generated from POD source by regen.sh.
 override_dh_auto_configure:
 	@if test x"$(SYS_NAME)" = x"UNKNOWN" ; then exit 1 ; fi
-	echo '$(DEBIAN)'-debian > .version
+	echo '$(DEB_VERSION)'-debian > .version
 	mv doc/man-pages/pod1/up.pod doc/man-pages/pod1/afs-up.pod
 	rm -f doc/man-pages/man1/up.1
 	sh regen.sh
@@ -183,3 +184,4 @@
 	    cp doc/xml/$$d/*.html $(DOCS)/html/$$d/ ;			\
 	    cp doc/xml/$$d/*.pdf $(DOCS)/ ;				\
 	done
+	-cp doc/xml/AdminGuide/*.png $(DOCS)/html/AdminGuide/
