=== debian/tests/control ===
Test-Command: env BUILD_EXCLUSIVE_CONFIG="!CONFIG_PREEMPT_RT !CONFIG_PREEMPT_RT_FULL" /usr/share/modass/module-assistant-autopkgtest openafs-modules-source
Features: test-name=m-a-autopkgtest
Depends:
 openafs-modules-source,
 module-assistant-autopkgtest,
 linux-doc,
Restrictions:
 superficial,
 needs-root,
 breaks-testbed,
 allow-stderr,
