## openafs 1.8.14

=== debian/changelog ===
openafs (1.8.14-1ubuntu1) resolute; urgency=medium

  * Support Linux 6.18 (LP: #2137569)
    - debian/patches/0015-6.18-rename-LINUX_WRITEPAGES_USES_FOLIOS.patch
    - debian/patches/0016-6.18-mount_nodev-removed-use-new-mount-API.patch
    - debian/patches/0017-6.18-dont-use-write_cache_pages-for-writepages.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Tue, 06 Jan 2026 17:41:36 +0100

openafs (1.8.14-1) unstable; urgency=medium

  * New upstream release:
    - No changes since pre1
  * Import upstream patches for Linux 6.17 support (Closes: #1119913).

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 22 Nov 2025 20:18:24 -0800
