=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Sam Hartman <hartmans@debian.org>, Anders Kaseorg <andersk@mit.edu>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper, debhelper-compat (= 12), autoconf, automake, bison,
  comerr-dev, cpio, flex, libcrypt-dev, libfuse-dev, libkrb5-dev, libncurses-dev,
